Bug 1264843 - Error: Execution of '/usr/bin/yum -d 0 -e 0 -y list iptables-ipv6' returned 1: Error: No matching Packages to list
Error: Execution of '/usr/bin/yum -d 0 -e 0 -y list iptables-ipv6' returned 1...
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Kilo
Assigned To: Martin Magr
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 07:06 EDT by Matthias Runge
Modified: 2016-05-19 11:50 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:50:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2015-09-21 07:06:33 EDT
Description of problem:

on centos7, there is no package iptables-ipv6 available.


I believe, the comparison for os release is wrong:
/usr/share/openstack-puppet/modules/firewall/manifests/params.pp

(line 18 following)
          if versioncmp($::operatingsystemrelease, '7.0') >= 0 {
            $package_name = 'iptables-services'
          } else {
            $package_name = 'iptables-ipv6'
          }
          $service_name = 'iptables'


Change iptables-ipv6 to iptables-services, install will continue.
Comment 1 Jan Hilberath 2016-03-16 02:35:56 EDT
I just ran into the same issue trying to install Openstack Liberty on CentOS 7.1.

Found that this is a known issue[1] and has been fixed in the "centos-release" package[2].


Before the upgrade:

# yum info centos-release
Installed Packages
Name        : centos-release
Arch        : x86_64
Version     : 7
Release     : 1.1503.el7.centos.2.7
Repo        : installed

# cat /etc/redhat-release
Derived from Red Hat Enterprise Linux 7.1 (Source)

# cat /etc/centos-release
CentOS Linux release 7.1.1503 (Core)

# facter os
{"name"=>"RedHat", "family"=>"RedHat"}

# facter operatingsystemrelease -d
Confine raised NoMethodError undefined method `[]' for nil:NilClass
Found no suitable resolves of 1 for operatingsystemrelease
value for operatingsystemrelease is still nil


After the upgrade:

# yum info centos-release
Installed Packages
Name        : centos-release
Arch        : x86_64
Version     : 7
Release     : 2.1511.el7.centos.2.10
Size        : 35 k
Repo        : installed

# cat /etc/redhat-release
CentOS Linux release 7.2.1511 (Core)

# cat /etc/centos-release
CentOS Linux release 7.2.1511 (Core)

# facter os
{"name"=>"CentOS", "family"=>"RedHat", "release"=>{"major"=>"7", "minor"=>"2", "full"=>"7.2.1511"}}

# facter operatingsystemrelease -d
7.2.1511


[1] https://tickets.puppetlabs.com/browse/FACT-893
[2] https://lists.centos.org/pipermail/centos-announce/2015-April/021010.html
Comment 3 Chandan Kumar 2016-05-19 11:50:43 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.